Name:           enki
Version:        16.04.1
Release:        %mkrel 1
Summary:        Advanced text editor for programmers
Group:          Editors
License:        GPLv2
URL:            http://enki-editor.org/
Source0:        https://github.com/hlamer/enki/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python3-setuptools
BuildRequires:  python3-qutepart
BuildRequires:  python3-qt5
Requires:       python3
Requires:       python3-markdown
Requires:       python3-qutepart
Requires:       python3-docutils
Requires:       python3-regex >= 2015.11.22
Requires:       python3-qt5
Requires:       python3-sip
Recommends:     python3-flake8
Recommends:     python3-sphinx
Recommends:     ctags
Recommends:     python3-codechat

%description
Enki is an advanced text editor for programmers. It is:
    - User friendly. Intuitive interface. Works out of the box.
      You don't have to read a lot of docs
    - Hacker friendly. Work as quickly as possible.
      You don't need your mouse for coding.
    - Lighweight. Some IDEs show splashscreen.
      Enki will never do it. It just starts quickly.
    - Advanced. You invent software. An editor helps you to do a routine job.
    - Extensible. Operating systems are designed for running applications.
      Enki is designed for running plugins.
    - Cross platform. Use your habitual editor on any OS.
      Currently has beeen tested on Linux, MacOS X, Windows.
    - High quality. No long list of fancy features.
      But, what is done, is done well.
    - Open source. In GitHub we trust.


%prep
%setup -q

%build
%py3_build

%install
%py3_install

%files
%doc README.md ChangeLog
%{_bindir}/%{name}
%{python3_sitelib}/%{name}*
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/enki.svg
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Sep 22 2016 akien <akien> 16.04.1-1.mga6
+ Revision: 1055121
- Version 16.04.1

* Mon Jun 27 2016 akien <akien> 16.04.0-4.mga6
+ Revision: 1037841
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 16.04.0-3.mga6
+ Revision: 1037534
- Rebuild for python-sip 4.18

* Fri May 06 2016 dglent <dglent> 16.04.0-2.mga6
+ Revision: 1009672
- Add python3-sip in Requires - mga#18381

* Wed Apr 20 2016 dglent <dglent> 16.04.0-1.mga6
+ Revision: 1003675
- Version 16.04.0
- Qt5
- Drop patches

* Thu Mar 17 2016 daviddavid <daviddavid> 15.11.0-4.mga6
+ Revision: 992341
- rediff unappliable open-terminal-in-cwd patch (since fixed autopatch)

* Fri Dec 25 2015 dglent <dglent> 15.11.0-3.mga6
+ Revision: 914581
- Add patch to open the terminal in the current directory

* Thu Dec 24 2015 dglent <dglent> 15.11.0-2.mga6
+ Revision: 913927
- Tag as Recommends the suggested only packages
- Change the minimum version of python-regex to the minimum version needed by the program
- Add patch: open the file dialogue pointed to the folder of the current file
- Tag python-regex in Recommends
- Add minimum version for python-regex

* Sat Dec 19 2015 dglent <dglent> 15.11.0-1.mga6
+ Revision: 911857
- imported package enki

